#
# spec file for package python-xattr
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-xattr
Version:        0.7.5
Release:        5.3
Summary:        Python wrapper for extended filesystem attributes
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/xattr/xattr
Source:         xattr-%{version}.tar.gz
BuildRequires:  python-cffi
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-cffi >= 0.4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       pyxattr = %{version}
Obsoletes:      pyxattr < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
Extended attributes extend the basic attributes of files and directories
in the file system.  They are stored as name:data pairs associated with
file system objects (files, directories, symlinks, etc).

Extended attributes are currently only available on Darwin 8.0+ (Mac OS X 10.4)
and Linux 2.6+. Experimental support is included for Solaris and FreeBSD.

%prep
%setup -q -n xattr-%{version}
sed -i "/#\!\/usr\/bin\/env python/d" xattr/tool.py # Fix executable-bit rpmlint warning

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc README.txt
%{_bindir}/xattr
%{python_sitelib}/xattr
%{python_sitelib}/xattr-*egg-info

%changelog
* Tue Sep 16 2014 tbechtold@suse.com
- update to version 0.7.5:
  * Improved error message when str/unicode is passed where bytes is
    required
  * Improved Python 3 compatibility
  * Added some unicode-specific tests
* Thu Aug  8 2013 dmueller@suse.com
- update to 0.7.2:
  * rewritten to use cffi
  * Add Python 3.x support
  * Fix various unicode related issues
* Fri Mar 15 2013 speilicke@suse.com
- Add provides/obsoletes for pyxattr which just got deleted
- Some minor cleanup
* Fri Jun 22 2012 os-dev@jacraig.com
- Update to 0.6.4:
  * Updated README.txt to match setup.py description
  * Bug fixes for Solaris port
- Changes from 0.6.3:
  * Fix tests for Linux, allow xattr on symlinks
- Update URL as changed in setup.py
* Fri Nov 25 2011 cfarrell@suse.com
- license update: MIT
  SPDX format (http://www.spdx.org/licenses)
* Fri Sep 23 2011 saschpe@suse.de
- Update to version 0.6.2:
  * Bug fix in Solaris support
* Tue May 31 2011 saschpe@suse.de
- Spec file cleanup:
  * Regenerated with py2pack to fix completely broken mess
  * Add changes file
  * Fixed executable-bit rpmlint warning
